                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(dsccli,cedcli,cliexe,cdgcli,limcre,salact,vencido,combotipoventa) {
	parent.vencido2(vencido);

	parent.document.formulario.cdgclifac.value=cdgcli;
	parent.document.formulario.dsccli.value=dsccli;
    parent.document.formulario.combotipoventa.value=combotipoventa;
	parent.document.formulario.cedcli.value=cedcli;
	parent.document.formulario.limcre.value=limcre;
	parent.document.formulario.salact.value=salact;
	parent.document.formulario.cliexento.value=cliexe;
	parent.document.formulario.vencido.value=vencido;
	parent.document.formulario_lineas.cliexe2.value=cliexe;
	parent.document.formulario_lineas.cdgclifac2.value=cdgcli;
	parent.document.formulario_lineas.cdgcli2.value=cdgcli;
	parent.document.formulario_lineas.cdgart.value="";
	parent.document.formulario_lineas.dscart.value="";
	parent.document.formulario_lineas.preivi.value="";
	parent.document.formulario_lineas.importe.value="";
	parent.document.formulario_lineas.descuento.value="";
}

function limpiar() {
	parent.document.formulario_lineas.cdgclifac2.value="";
	parent.document.formulario.cdgclifac.value="";
	parent.document.formulario.dsccli.value="";
	parent.document.formulario.cedcli.value="";
	parent.document.formulario.cdgcli.value="";
	parent.document.formulario.cdgcli.focus();
	parent.document.formulario.cliexento.value=1;
	parent.document.formulario.limcre.value="";
	parent.document.formulario.salact.value="";
	parent.document.formulario.vencido.value="";
	parent.document.formulario_lineas.cdgart.value="";
	parent.document.formulario_lineas.cdgcli2.value="";
	parent.document.formulario_lineas.dscart.value="";
	parent.document.formulario_lineas.preivi.value="";
	parent.document.formulario_lineas.cantidad.value="";
	parent.document.formulario_lineas.importe.value="";
	parent.document.formulario_lineas.descuento.value="";
	parent.document.formulario_lineas.cliexe.value="";
	
}


</script>
<?php include('../conexion.php'); ?>
<body>
<?php

	
	$cdgcli=$_GET["cdgcli"];
	

	
	$consulta = "SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["totalfac"];
	

	$consulta2 = "SELECT  cdgcli, salact, fecven FROM web_2101 WHERE cdgcli = $cdgcli AND salact > 0 LIMIT 0,1";
	$resultado2 = $mysqli->query($consulta2);
	$linea = $resultado2->fetch_array();
	$fecven = $linea["fecven"];
	
	
	$fecact= date("Y-m-d");
	$diaven=strtotime ( $fecact ) - strtotime ( $fecven );
	$diaven=intval($diaven/60/60/24);
	if ($fecven==""){ $diaven=0; }
	
	
	
	
	
					$consulta="SELECT * FROM web_0301 WHERE cdgcli=$cdgcli ";
					$resultado2 = $mysqli->query($consulta);
					$nrs= $resultado2->num_rows;
					$linea = $resultado2->fetch_array();
					

					$estcli=$linea["ESTCLI"];
					$chkver=$linea["CHKVER"];
					$cdgpla=$linea["CDGPLA"];  //  verifica si el cliente es de contado o credito	

	
	if ($cdgpla == 0) {$combotipoventa=1; } else {$combotipoventa=2;}
	
	

		

	if ($nrs>0) {          /////////////////   si encuentra algo ///////////////
		

		if ($estcli=="ACTIVO") {
		
      		if (($chkver == 1) && ($diaven > 8)){
				$vencido=1;
				?>
				<script>
			
          pon_prefijo("<?php echo  $linea["DSCCLI"] ?>","<?php echo $linea["CEDCLI"] ?>","<?php echo $linea["cliexe"]  ?>","<?php echo $cdgcli ?>" ,"<?php echo  $linea["limcre"] ?>","<?php echo $salact ?>","<?php echo $vencido ?>","<?php echo $combotipoventa ?>");				</script>
       			<?php 
			} else {
				$vencido=0;
				?>
    			<script languaje="javascript">

				pon_prefijo("<?php echo $linea["DSCCLI"]?>","<?php echo $linea["CEDCLI"] ?>","<?php echo $linea["CLIEXE"]  ?>","<?php echo $cdgcli ?>" ,"<?php echo $linea["LIMCRE"] ?>","<?php echo $salact ?>","<?php echo $vencido ?>","<?php echo $combotipoventa ?>");     
				          </script>
				<?php
		   }
		   
		   
		} else {
			 ?>
			<script>
			alert ("Cliente Inactivo favor consulte con el Administrador");
			limpiar();
			</script>
			<?php
	     }
	
	} else {
		?>
		<script>
		alert ("No existe ningun cliente con ese codigo");
		limpiar();
		</script>
		<?php
	}
	
	
?>
</div>
</body>
</html>
